Last Comment Bug 1324170 - Learn More links should always appear after the text in the same line, not right-aligned in their own column
: Learn More links should always appear after the text in the same line, not ri...
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: Unspecified Unspecified
-- normal (vote)
: Firefox 53
Assigned To: Jared Beach
:
: Jared Wein [:jaws] (please needinfo? me)
Mentors:
Depends on: 1330977
Blocks: 1324168
  Show dependency treegraph
 
Reported: 2016-12-16 21:36 PST by Jared Wein [:jaws] (please needinfo? me)
Modified: 2017-01-13 07:51 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard: [bugday-2017-01-11]
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1324170 - Change "Learn More" links to always align after text in about:preferences (59 bytes, text/x-review-board-request)
2016-12-22 08:43 PST, Jared Beach
jaws: review+
Details | Review

Description User image Jared Wein [:jaws] (please needinfo? me) 2016-12-16 21:36:48 PST
From slide 6 and 7 of https://bugzilla.mozilla.org/attachment.cgi?id=8819509.
Comment 1 User image Jared Beach 2016-12-22 08:43:21 PST Comment hidden (mozreview-request)
Comment 2 User image Jared Wein [:jaws] (please needinfo? me) 2016-12-22 09:15:21 PST
Comment on attachment 8821203 [details]
Bug 1324170 - Change "Learn More" links to always align after text in about:preferences

https://reviewboard.mozilla.org/r/100534/#review101092

Thanks, this is close but the Advanced > Data Choices still has the Learn More on the right column.

::: browser/themes/shared/incontentprefs/preferences.inc.css:176
(Diff revision 1)
>  /* Content pane */
>  #playDRMContentLink {
> -  /* Line up with the buttons in the other grid bits: */
> -  margin-left: 4px !important;
> +  /* Line up after text */
> +  margin-inline-start: 1.5em !important;
> -  margin-right: 4px !important;
>  }
>  
>  #notificationsPolicyLearnMore {
>    margin-inline-start: 1.5em !important;
>  }

Please merge these and the rules for: #trackingProtectionPBMLearnMore,
#trackingProtectionLearnMore,
#browserContainersLearnMore

since these rules are the same.
Comment 3 User image Jared Wein [:jaws] (please needinfo? me) 2017-01-06 08:58:26 PST
Hey Jared, have you been able to make any progress on this?
Comment 4 User image Jared Beach 2017-01-09 12:13:13 PST Comment hidden (mozreview-request)
Comment 5 User image Jared Wein [:jaws] (please needinfo? me) 2017-01-09 13:21:55 PST
Comment on attachment 8821203 [details]
Bug 1324170 - Change "Learn More" links to always align after text in about:preferences

https://reviewboard.mozilla.org/r/100534/#review103982

::: browser/components/preferences/in-content/advanced.xul:205
(Diff revision 2)
>        </groupbox>
>      </tabpanel>
>  #ifdef MOZ_DATA_REPORTING
>      <!-- Data Choices -->
>      <tabpanel id="dataChoicesPanel" orient="vertical">
> -#ifdef MOZ_TELEMETRY_REPORTING
> +<!--#ifdef MOZ_TELEMETRY_REPORTING-->

This change should be reverted.

::: browser/components/preferences/in-content/advanced.xul:233
(Diff revision 2)
>                </hbox>
>              </groupbox>
>            </hbox>
>          </vbox>
>        </groupbox>
> -#endif
> +<!--#endif-->

Ditto.

::: browser/components/preferences/in-content/content.xul:74
(Diff revision 2)
>      <rows>
>        <row id="notificationsPolicyRow" align="center">
>          <hbox align="start">
>            <label id="notificationsPolicy">&notificationsPolicyDesc3.label;</label>
>            <label id="notificationsPolicyLearnMore"
> -                 class="text-link"
> +                 class="learnMore text-link"

Can you please add this 'learnMore' class to the other learn more links, and then update the CSS in preferences.inc.css to refer to .learnMore instead of their IDs?
Comment 6 User image Jared Beach 2017-01-09 14:16:39 PST Comment hidden (mozreview-request)
Comment 7 User image Jared Wein [:jaws] (please needinfo? me) 2017-01-09 14:45:17 PST
Comment on attachment 8821203 [details]
Bug 1324170 - Change "Learn More" links to always align after text in about:preferences

https://reviewboard.mozilla.org/r/100534/#review104004

::: browser/themes/shared/incontentprefs/preferences.inc.css:48
(Diff revision 3)
>    min-width: 26px;
>  }
>  
> +/* For the "learn more" links, line up after text */
> +.learnMore {
> +  margin-inline-start: 1.5em !important;

With the change to common.css we won't need the !important anymore.

::: browser/themes/shared/incontentprefs/preferences.inc.css:49
(Diff revision 3)
>  }
>  
> +/* For the "learn more" links, line up after text */
> +.learnMore {
> +  margin-inline-start: 1.5em !important;
> +  margin-top: 0;

This margin-top change looks like it's pulling the text vertically up and we shouldn't be doing that. This line can be removed.
Comment 8 User image Jared Beach 2017-01-09 16:17:05 PST Comment hidden (mozreview-request)
Comment 9 User image Jared Wein [:jaws] (please needinfo? me) 2017-01-10 05:02:46 PST
Comment on attachment 8821203 [details]
Bug 1324170 - Change "Learn More" links to always align after text in about:preferences

https://reviewboard.mozilla.org/r/100534/#review104148
Comment 10 User image Pulsebot 2017-01-10 05:04:50 PST
Pushed by jwein@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/95fabc8be849
Change "Learn More" links to always align after text in about:preferences r=jaws
Comment 11 User image Wes Kocher (:KWierso) 2017-01-10 17:57:41 PST
https://hg.mozilla.org/mozilla-central/rev/95fabc8be849
Comment 12 User image Maruf Rahman[:mMARUF] 2017-01-11 19:34:20 PST
I have reproduced this bug with Nightly 53.0a1 (2016-12-16) (64-bit) on Windows 8 , 64 Bit !

This bug's fix is verified with latest Nightly

Build   ID     20170111030235
User Agent     Mozilla/5.0 (Windows NT 6.3; WOW64; rv:53.0) Gecko/20100101 Firefox/53.0
[bugday-20170111]

Note You need to log in before you can comment on or make changes to this bug.